<script>
export default {
  data() {
    return {
      show1: false,
      show2: true,
      password: 'Password',
      rules: {
        required: value => !!value || 'Required.',
        min: v => v.length >= 8 || 'Min 8 characters',
        emailMatch: () => (`The email and password you entered don't match`),
      },
    }
  },
}

</script>
<template>
  <v-app-bar height="85" elevated color="rgb(255, 255, 255)">
    <v-col cols="5"></v-col>
    <v-col><span style="text-align: center; width: 100%" class="fontTitle">Nova - Consoler</span></v-col>
    <v-col cols="2"><span><v-dialog width="500">
          <template v-slot:activator="{ props }">
            <v-btn v-bind="props" text="เข้าสู่ระบบ" class="ml-4"> </v-btn>
          </template>
          <template v-slot:default="{ isActive }">
            <v-card>
              <div class="fonthead">Nova-Consoler</div>
              <div class="fonthead">เข้าสู่ระบบ</div>
              <v-card-text class="fontbody">
                <v-row class="mt-5">
                  <v-text-field label="ชื่อผู้ใช้" variant="solo"></v-text-field>
                </v-row>
                <v-row>
                  <v-text-field v-model="password" :append-icon="show1 ? 'mdi-eye' : 'mdi-eye-off'"
                    :rules="[rules.required, rules.min]" :type="show1 ? 'text' : 'password'" name="input-10-1"
                    label="รหัสผ่าน" counter @click:append="show1 = !show1"></v-text-field>
                </v-row>
              </v-card-text>
              <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn text="เข้าสู่ระบบ" @click="isActive.value = false"></v-btn>
              </v-card-actions>
            </v-card>
          </template>
        </v-dialog></span>
      <span><v-dialog width="500">
          <template v-slot:activator="{ props }">
            <v-btn v-bind="props" text="สมัครสมาชิก" class="ml-4"> </v-btn>
          </template>
          <template v-slot:default="{ isActive }">
            <v-card>
              <div class="fonthead">Nova-Consoler</div>
              <div class="fonthead">สมัครสมาชิก</div>
              <v-card-text class="fontbody">
                <v-row class="mt-5">
                  <v-text-field label="ชื่อผู้ใช้" variant="solo"></v-text-field>
                </v-row><v-row>
                  <v-text-field label="ชื่อ-นามสกุล" variant="solo"></v-text-field>
                </v-row>
                <v-row>
                  <v-text-field label="หมายเลขโทรสัพท์" variant="solo"></v-text-field>
                </v-row>
                <v-row>
                  <v-text-field v-model="password" :append-icon="show1 ? 'mdi-eye' : 'mdi-eye-off'"
                    :rules="[rules.required, rules.min]" :type="show1 ? 'text' : 'password'" name="input-10-1"
                    label="รหัสผ่าน" counter @click:append="show1 = !show1"></v-text-field>
                </v-row><v-row>
                  <v-text-field v-model="password" :append-icon="show1 ? 'mdi-eye' : 'mdi-eye-off'"
                    :rules="[rules.required, rules.min]" :type="show1 ? 'text' : 'password'" name="input-10-1"
                    label="ยืนยันรหัสผ่าน" counter @click:append="show1 = !show1"></v-text-field>
                </v-row>
              </v-card-text>
              <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn text="สมัครสมาชิก" @click="isActive.value = false"></v-btn>
              </v-card-actions>
            </v-card>
          </template>
        </v-dialog></span></v-col>


  </v-app-bar>
</template>
ห
<style scoped>
.fontTitle {
  text-align-last: center;
  font-family: fantasy;
  font-size: 45px;
  color: black;
}

.fontbody {
  font-size: 15px;
}

.fonthead {
  font-size: 35px;
  text-align-last: center;
}
</style>
